Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class RequestParam

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.RequestParam

    public class RequestParam

extends JsObject

This class represents a HTTP Request.

See Also:
  `Connection.request(RequestParam)`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`RequestParam()`

Method Summary
`void` | `setForm(java.lang.String formId)` The ID of the form that you want to use.
`void` | `setHeaders(NameValuePair[] defaultHeaders)` The headers to pass with the request.
`void` | `setIsUpload(boolean isUpload)` Does the form do a file upload.
`void` | `setMethod(Connection.Method method)` The request method (GET or POST).
`void` | `setParams(UrlParam[] params)` The request paameters.
`void` | `setUrl(java.lang.String url)` The URL of the request.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestParam

    public RequestParam()

Method Detail

### setUrl

    public void setUrl(java.lang.String url)

  The URL of the request.

  Parameters:
    `url` - the rul

### setParams

    public void setParams(UrlParam[] params)

  The request paameters.

  Parameters:
    `params` - the request parameters

### setMethod

    public void setMethod(Connection.Method method)

  The request method (GET or POST).

  Parameters:
    `method` - the request method

### setForm

    public void setForm(java.lang.String formId)

  The ID of the form that you want to use. The request parameters will include the Form's field names and values.

  Parameters:
    `formId` - the form ID

### setIsUpload

    public void setIsUpload(boolean isUpload)

  Does the form do a file upload.

  Parameters:
    `isUpload` - true if file upload

### setHeaders

    public void setHeaders(NameValuePair[] defaultHeaders)

  The headers to pass with the request.

  Parameters:
    `defaultHeaders` - the headers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD